
Figure - Bug #118641
【IOVDEV-33461】【自动化测试】【稳定性测试】【VC1】【副屏】CRASH指向system:ui
2023-06-08 15:17 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-06-08

Priority: High Due date:

Assignee: CDTS_Test 吴诗雨 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: ��【副屏版本】：01.00.0106��【中控版本】： 0088

Resolution: FIXED Degrated: No

Severity: Major Verified Version:

Reproducibility: Every time Fixed Version: 2023-06-08

Test Type: ST Root cause: AOSP 原生问题。

Description

【测试手顺】：副屏执行monkey稳定性测试

【预期结果】：无黑卡死等严重问题发生，无Crash、ANR、Tombstone内存泄露等

【实际结果】：CRASH指向system:ui  java.lang.NullPointerException

【测试环境】：中控+AMP+副屏

【副屏版本】：01.00.0106

【中控版本】： 0088

【VIN】：HRYTTESTVINMGM816

【全量log】：https://ofs.human-horizons.com/#/download/index/O8jsc%2BKqeU4%3D

History

#1 - 2023-06-08 15:18 - CDTS_Test 吴诗雨

//// CRASH: system:ui (pid 21715)

// Short Msg: java.lang.NullPointerException

// Long Msg: java.lang.NullPointerException: Attempt to read from field 'android.widget.ImageView com.android.internal.app.ResolverListAdapter$ViewHolder.icon' on

a null object reference

// Build Label: HiPhi/PassengerDisplay_CN/PassengerDisplay:12/SKQ1.220201.001/3775:user/test-keys

// Build Changelist: 3775

// Build Time: 1685664637000

// java.lang.NullPointerException: Attempt to read from field 'android.widget.ImageView com.android.internal.app.ResolverListAdapter$ViewHolder.icon' on a null

object reference

//     at com.android.internal.app.ResolverListAdapter.onBindView(ResolverListAdapter.java:532)

//     at com.android.internal.app.ResolverListAdapter.getView(ResolverListAdapter.java:509)

//     at android.widget.HeaderViewListAdapter.getView(HeaderViewListAdapter.java:224)

//     at android.widget.AbsListView.obtainView(AbsListView.java:2421)

//     at android.widget.ListView.measureHeightOfChildren(ListView.java:1417)

//     at android.widget.ListView.onMeasure(ListView.java:1323)

//     at android.view.View.measure(View.java:25778)

//     at android.widget.RelativeLayout.measureChildHorizontal(RelativeLayout.java:735)

//     at android.widget.RelativeLayout.onMeasure(RelativeLayout.java:481)
//     at android.view.View.measure(View.java:25778)

//     at com.android.internal.widget.ViewPager.onMeasure(ViewPager.java:1455)

//     at com.android.internal.app.ResolverViewPager.onMeasure(ResolverViewPager.java:55)

//     at android.view.View.measure(View.java:25778)

//     at android.view.ViewGroup.measureChildWithMargins(ViewGroup.java:6980)

//     at android.widget.FrameLayout.onMeasure(FrameLayout.java:194)

//     at android.view.View.measure(View.java:25778)

//     at android.view.ViewGroup.measureChildWithMargins(ViewGroup.java:6980)

//     at android.widget.LinearLayout.measureChildBeforeLayout(LinearLayout.java:1552)

//     at android.widget.LinearLayout.measureVertical(LinearLayout.java:842)

//     at android.widget.LinearLayout.onMeasure(LinearLayout.java:721)

//     at android.view.View.measure(View.java:25778)

//     at android.view.ViewGroup.measureChildWithMargins(ViewGroup.java:6980)

//     at android.widget.FrameLayout.onMeasure(FrameLayout.java:194)

//     at android.view.View.measure(View.java:25778)

//     at android.view.ViewGroup.measureChildWithMargins(ViewGroup.java:6980)

//     at com.android.internal.widget.ResolverDrawerLayout.onMeasure(ResolverDrawerLayout.java:955)

//     at android.view.View.measure(View.java:25778)

//     at android.view.ViewGroup.measureChildWithMargins(ViewGroup.java:6980)

//     at android.widget.FrameLayout.onMeasure(FrameLayout.java:194)

//     at android.view.View.measure(View.java:25778)

//     at android.view.ViewGroup.measureChildWithMargins(ViewGroup.java:6980)

//     at android.widget.LinearLayout.measureChildBeforeLayout(LinearLayout.java:1552)

//     at android.widget.LinearLayout.measureVertical(LinearLayout.java:842)

//     at android.widget.LinearLayout.onMeasure(LinearLayout.java:721)

//     at android.view.View.measure(View.java:25778)

//     at android.view.ViewGroup.measureChildWithMargins(ViewGroup.java:6980)

//     at android.widget.FrameLayout.onMeasure(FrameLayout.java:194)

//     at com.android.internal.policy.DecorView.onMeasure(DecorView.java:834)

//     at android.view.View.measure(View.java:25778)

//     at android.view.ViewRootImpl.performMeasure(ViewRootImpl.java:3631)

//     at android.view.ViewRootImpl.performTraversals(ViewRootImpl.java:3105)

//     at android.view.ViewRootImpl.doTraversal(ViewRootImpl.java:2146)

//     at android.view.ViewRootImpl$TraversalRunnable.run(ViewRootImpl.java:8676)

//     at android.view.Choreographer$CallbackRecord.run(Choreographer.java:1120)

//     at android.view.Choreographer.doCallbacks(Choreographer.java:926)

//     at android.view.Choreographer.doFrame(Choreographer.java:859)

//     at android.view.Choreographer$FrameDisplayEventReceiver.run(Choreographer.java:1105)

//     at android.os.Handler.handleCallback(Handler.java:938)

//     at android.os.Handler.dispatchMessage(Handler.java:99)

//     at android.os.Looper.loopOnce(Looper.java:201)

//     at android.os.Looper.loop(Looper.java:288)

//     at android.app.ActivityThread.main(ActivityThread.java:7880)

//     at java.lang.reflect.Method.invoke(Native Method)

//     at com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run(RuntimeInit.java:548)

//     at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:1009)

#2 - 2023-06-08 15:20 - CDTS_Test 吴诗雨

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/118641
#3 - 2023-06-08 16:06 - CD FW 曹覃刚

- Status changed from New to ASSIGNED

- Assignee changed from CD FW 曹覃刚 to CD FW-廖涛

#4 - 2023-06-08 21:11 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

205806 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

FW:SystemOptimization: Fix NullPointerException in ResolverListAdapter.TC-RID: 1201-0205101IssueID: TS-R-BUG-118641Change-Id:

I8415ab15f3e5ab4745c207eb01b18fd4c8911b46

#5 - 2023-06-08 21:12 - CD FW-廖涛

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW-廖涛 to CDTS_Test 吴诗雨

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-06-08

- Root cause set to AOSP 原生问题。

■ Current conclusion

已处理，代码已入库。

■ My analysis

AOSP 原生问题。

■ Next action

测试验证。

#6 - 2023-07-10 17:16 - CDTS_Test 吴诗雨

- Status changed from RESOLVED to VERIFIED

#7 - 2023-07-10 17:17 - CDTS_Test 吴诗雨

- Status changed from VERIFIED to CLOSED
